clang 10.0.0git

List of all members
clang::CanProxyAdaptor< TagType > Struct Template Reference

`#include "clang/AST/CanonicalType.h"`

Inheritance diagram for clang::CanProxyAdaptor< TagType >:
[legend]
Collaboration diagram for clang::CanProxyAdaptor< TagType >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from clang::CanProxyBase< TagType >
const TagType * | getTypePtr () const
| Retrieve the pointer to the underlying Type. More...
| operator const TagType * () const
| Implicit conversion to the underlying pointer. More...
CanProxy< U > | getAs () const
| Try to convert the given canonical type to a specific structural type. More...
const CanProxyAdaptor< TagType > * | operator-> () const
| Retrieve the proxy-adaptor type. More...
Protected Attributes inherited from clang::CanProxyBase< TagType >
CanQual< TagType > | Stored

## Detailed Description

### template<>
struct clang::CanProxyAdaptor< TagType >

Definition at line 548 of file CanonicalType.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/CanonicalType.h